// source: v1/dictionary_md/distribution_type_chemical.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var v1_dictionary_common_dictionary_common_pb = require('../../v1/dictionary_common/dictionary_common_pb.js');
goog.object.extend(proto, v1_dictionary_common_dictionary_common_pb);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest', null, global);
goog.exportSymbol('proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.displayName = 'proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.displayName = 'proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.displayName = 'proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.displayName = 'proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.displayName = 'proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.displayName = 'proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.displayName = 'proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.displayName = 'proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0),
    externalId: jspb.Message.getFieldWithDefault(msg, 2, 0),
    name: jspb.Message.getFieldWithDefault(msg, 3, ""),
    fullName: jspb.Message.getFieldWithDefault(msg, 4, ""),
    description: jspb.Message.getFieldWithDefault(msg, 5, ""),
    audit: (f = msg.getAudit()) && v1_dictionary_common_dictionary_common_pb.Audit.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical;
  return proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    case 2:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setExternalId(value);
      break;
    case 3:
      var value = /** @type {string} */ (reader.readString());
      msg.setName(value);
      break;
    case 4:
      var value = /** @type {string} */ (reader.readString());
      msg.setFullName(value);
      break;
    case 5:
      var value = /** @type {string} */ (reader.readString());
      msg.setDescription(value);
      break;
    case 21:
      var value = new v1_dictionary_common_dictionary_common_pb.Audit;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.Audit.deserializeBinaryFromReader);
      msg.setAudit(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
  f = message.getExternalId();
  if (f !== 0) {
    writer.writeInt64(
      2,
      f
    );
  }
  f = message.getName();
  if (f.length > 0) {
    writer.writeString(
      3,
      f
    );
  }
  f = message.getFullName();
  if (f.length > 0) {
    writer.writeString(
      4,
      f
    );
  }
  f = message.getDescription();
  if (f.length > 0) {
    writer.writeString(
      5,
      f
    );
  }
  f = message.getAudit();
  if (f != null) {
    writer.writeMessage(
      21,
      f,
      v1_dictionary_common_dictionary_common_pb.Audit.serializeBinaryToWriter
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional int64 external_id = 2;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.getExternalId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 2, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.setExternalId = function(value) {
  return jspb.Message.setProto3IntField(this, 2, value);
};


/**
 * optional string name = 3;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.getName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 3, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.setName = function(value) {
  return jspb.Message.setProto3StringField(this, 3, value);
};


/**
 * optional string full_name = 4;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.getFullName = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 4, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.setFullName = function(value) {
  return jspb.Message.setProto3StringField(this, 4, value);
};


/**
 * optional string description = 5;
 * @return {string}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.getDescription = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 5, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.setDescription = function(value) {
  return jspb.Message.setProto3StringField(this, 5, value);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.Audit audit = 21;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.Audit}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.getAudit = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.Audit} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.Audit, 21));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.Audit|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.setAudit = function(value) {
  return jspb.Message.setWrapperField(this, 21, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.clearAudit = function() {
  return this.setAudit(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.prototype.hasAudit = function() {
  return jspb.Message.getField(this, 21) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: (f = msg.getId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    externalId: (f = msg.getExternalId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    name: (f = msg.getName()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    fullName: (f = msg.getFullName()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    state: (f = msg.getState()) && v1_dictionary_common_dictionary_common_pb.StateValue.toObject(includeInstance, f),
    createdAt: (f = msg.getCreatedAt()) && v1_dictionary_common_dictionary_common_pb.TimeRange.toObject(includeInstance, f),
    createdBy: (f = msg.getCreatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updatedAt: (f = msg.getUpdatedAt()) && v1_dictionary_common_dictionary_common_pb.TimeRange.toObject(includeInstance, f),
    updatedBy: (f = msg.getUpdatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter;
  return proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setId(value);
      break;
    case 2:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setExternalId(value);
      break;
    case 3:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setName(value);
      break;
    case 4:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setFullName(value);
      break;
    case 21:
      var value = new v1_dictionary_common_dictionary_common_pb.StateValue;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.StateValue.deserializeBinaryFromReader);
      msg.setState(value);
      break;
    case 23:
      var value = new v1_dictionary_common_dictionary_common_pb.TimeRange;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.TimeRange.deserializeBinaryFromReader);
      msg.setCreatedAt(value);
      break;
    case 24:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedBy(value);
      break;
    case 25:
      var value = new v1_dictionary_common_dictionary_common_pb.TimeRange;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.TimeRange.deserializeBinaryFromReader);
      msg.setUpdatedAt(value);
      break;
    case 26:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setUpdatedBy(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getExternalId();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getName();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getFullName();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getState();
  if (f != null) {
    writer.writeMessage(
      21,
      f,
      v1_dictionary_common_dictionary_common_pb.StateValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedAt();
  if (f != null) {
    writer.writeMessage(
      23,
      f,
      v1_dictionary_common_dictionary_common_pb.TimeRange.serializeBinaryToWriter
    );
  }
  f = message.getCreatedBy();
  if (f != null) {
    writer.writeMessage(
      24,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedAt();
  if (f != null) {
    writer.writeMessage(
      25,
      f,
      v1_dictionary_common_dictionary_common_pb.TimeRange.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedBy();
  if (f != null) {
    writer.writeMessage(
      26,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
};


/**
 * optional google.protobuf.Int64Value id = 1;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 1));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setId = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearId = function() {
  return this.setId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasId = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional google.protobuf.Int64Value external_id = 2;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getExternalId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 2));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setExternalId = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearExternalId = function() {
  return this.setExternalId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasExternalId = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional google.protobuf.StringValue name = 3;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getName = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 3));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setName = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearName = function() {
  return this.setName(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasName = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional google.protobuf.StringValue full_name = 4;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getFullName = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 4));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setFullName = function(value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearFullName = function() {
  return this.setFullName(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasFullName = function() {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional fcp.dictionary.v1.dictionary_common.StateValue state = 21;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.StateValue}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getState = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.StateValue} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.StateValue, 21));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.StateValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setState = function(value) {
  return jspb.Message.setWrapperField(this, 21, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearState = function() {
  return this.setState(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasState = function() {
  return jspb.Message.getField(this, 21) != null;
};


/**
 * optional fcp.dictionary.v1.dictionary_common.TimeRange created_at = 23;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.TimeRange}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getCreatedAt = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.TimeRange} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.TimeRange, 23));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.TimeRange|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setCreatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 23, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearCreatedAt = function() {
  return this.setCreatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasCreatedAt = function() {
  return jspb.Message.getField(this, 23) != null;
};


/**
 * optional google.protobuf.StringValue created_by = 24;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getCreatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 24));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setCreatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 24, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearCreatedBy = function() {
  return this.setCreatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasCreatedBy = function() {
  return jspb.Message.getField(this, 24) != null;
};


/**
 * optional fcp.dictionary.v1.dictionary_common.TimeRange updated_at = 25;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.TimeRange}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getUpdatedAt = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.TimeRange} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.TimeRange, 25));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.TimeRange|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setUpdatedAt = function(value) {
  return jspb.Message.setWrapperField(this, 25, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearUpdatedAt = function() {
  return this.setUpdatedAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasUpdatedAt = function() {
  return jspb.Message.getField(this, 25) != null;
};


/**
 * optional google.protobuf.StringValue updated_by = 26;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.getUpdatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 26));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.setUpdatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 26, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.clearUpdatedBy = function() {
  return this.setUpdatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.prototype.hasUpdatedBy = function() {
  return jspb.Message.getField(this, 26) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest;
  return proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse;
  return proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.serializeBinaryToWriter
    );
  }
};


/**
 * optional DistributionTypeChemical item = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.prototype.getItem = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.GetDistributionTypeChemicalResponse.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.toObject(includeInstance, f),
    sortingList: jspb.Message.toObjectList(msg.getSortingList(),
    v1_dictionary_common_dictionary_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest;
  return proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.Sorting;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSorting(value);
      break;
    case 3:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationRequest;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};


/**
 * optional DistributionTypeChemicalFilter filter = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemicalFilter|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated fcp.dictionary.v1.dictionary_common.Sorting sorting = 2;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.getSortingList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_dictionary_common_dictionary_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_common.Sorting>} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.setSortingList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_common.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_common.Sorting}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.addSorting = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.dictionary.v1.dictionary_common.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.clearSortingList = function() {
  return this.setSortingList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationRequest pagination = 3;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationRequest|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_dictionary_common_dictionary_common_pb.PaginationResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse;
  return proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    case 2:
      var value = new v1_dictionary_common_dictionary_common_pb.PaginationResponse;
      reader.readMessage(value,v1_dictionary_common_dictionary_common_pb.PaginationResponse.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_dictionary_common_dictionary_common_pb.PaginationResponse.serializeBinaryToWriter
    );
  }
};


/**
 * repeated DistributionTypeChemical items = 1;
 * @return {!Array<!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical>}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical, 1));
};


/**
 * @param {!Array<!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical>} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};


/**
 * optional fcp.dictionary.v1.dictionary_common.PaginationResponse pagination = 2;
 * @return {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.getPagination = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse} */ (
    jspb.Message.getWrapperField(this, v1_dictionary_common_dictionary_common_pb.PaginationResponse, 2));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_common.PaginationResponse|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.ListDistributionTypeChemicalResponse.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest;
  return proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical;
      reader.readMessage(value,proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical.serializeBinaryToWriter
    );
  }
};


/**
 * optional DistributionTypeChemical item = 1;
 * @return {?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.prototype.getItem = function() {
  return /** @type{?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical} */ (
    jspb.Message.getWrapperField(this, proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical, 1));
};


/**
 * @param {?proto.fcp.dictionary.v1.dictionary_md.DistributionTypeChemical|undefined} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest} returns this
*/
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalRequest.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse;
  return proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse} returns this
 */
proto.fcp.dictionary.v1.dictionary_md.SaveDistributionTypeChemicalResponse.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


goog.object.extend(exports, proto.fcp.dictionary.v1.dictionary_md);
